Subject: bug#14172: closed (Re: bug#14172: [gmane.emacs.devel] Re: read-from-minibuffer vs completing-read -- Cueing Users:)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Nov 2013 04:42:02 +0000

Your bug report

#14172: [gmane.emacs.devel] Re: read-from-minibuffer vs completing-read -- Cueing Users:

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14172: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14172
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14172: [gmane.emacs.devel] Re: read-from-minibuffer vs completing-read -- Cueing Users:
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Fri, 15 Nov 2013 10:11:24 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

OP here.  Closing it.

Subject: [gmane.emacs.devel] Re: read-from-minibuffer vs completing-read -- Cueing Users:
From: Jambunathan K <[email-masked]>
To: [email-masked]
Date: Wed, 10 Apr 2013 10:08:57 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Copy of http://thread.gmane.org/gmane.emacs.devel/157498

Jambunathan K <[email-masked]> writes:

> "T. V. Raman" <[email-masked]> writes:
>
>> As a long-time emacs user, I always see if there are completions
>> available in the minibuffer -- so the worst that happens is that
>> I get disappointed if I am answering a read-from-minibuffer
>> prompt  -- thinking of this, I realized   that there is a good
>> chance  that new-comers to Emacs do a lot worse in the other
>> direction, i.e. never realize that completions are available.
>> Should we be cueing this somehow in the prompt -- (are  we
>> already cueing the user visually?)
>> vs a completing-read prompt
>
> I have been using icomplete-mode for a while.  Bzr trunk has an enhanced
> version.
>
> My only complain is that the icomplete-mode starts showing completions
> only after you enter the first character.  If the first character is
> wrong, then you get a more useless "No match" or some such thing.
>
> There is a buglet in the queue, only that it is not filed.

I am essentially saying this:

Enhance icomplete-mode so that it shows completion even without any user
input.  The visual cue is right there hiding behind the curtains.  

Try installing this quick change, do M-x and wait for the visual cue to
reveal itself to you. 

=== modified file 'lisp/icomplete.el'
--- lisp/icomplete.el	2013-02-15 19:19:29 +0000
+++ lisp/icomplete.el	2013-03-03 20:18:15 +0000
@@ -267,11 +267,11 @@ and `minibuffer-setup-hook'."
     (save-excursion
       (goto-char (point-max))
                                         ; Insert the match-status information:
-      (if (and (> (point-max) (minibuffer-prompt-end))
-               buffer-undo-list         ; Wait for some user input.
+      (if (and ;; (> (point-max) (minibuffer-prompt-end))
+               ;; buffer-undo-list         ; Wait for some user input.
                (or
                 ;; Don't bother with delay after certain number of chars:
-                (> (- (point) (field-beginning)) icomplete-max-delay-chars)
+                ;; (> (- (point) (field-beginning)) icomplete-max-delay-chars)
                 ;; Don't delay if the completions are known.
                 completion-all-sorted-completions
                 ;; Don't delay if alternatives number is small enough:

--